Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.reflect
Interface Field

All Superinterfaces:
  Member

All Known Implementing Classes:
  FieldBase, FieldDecorator, IndirectField, ManageableType.ArrayComponent, ManageableType.Field, Node.NType.BitField, Node.NType.Field, PersistenceField, SCOType.Field, XField

    public interface Field

extends Member

Field Summary
`static Field[]` | `FIELD_0`
`static int` | `INTERFACE_MODIFIERS`
`static int` | `MODIFIERS`

Fields inherited from interface de.grogra.reflect.Member
`ABSTRACT, ACCESS_MODIFIERS, ARRAY, BRIDGE, CONSTANT, FINAL, INTERFACE, JAVA_MODIFIERS, LOCAL_CLASS, MIN_UNUSED_MODIFIER, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT, SYNCHRONIZED, SYNTHETIC, TRANSIENT, VARARGS, VOLATILE`

Method Summary
`boolean` | `getBoolean(java.lang.Object object)`
`byte` | `getByte(java.lang.Object object)`
`char` | `getChar(java.lang.Object object)`
`double` | `getDouble(java.lang.Object object)`
`float` | `getFloat(java.lang.Object object)`
`int` | `getInt(java.lang.Object object)`
`long` | `getLong(java.lang.Object object)`
`java.lang.Object` | `getObject(java.lang.Object object)`
`short` | `getShort(java.lang.Object object)`
`Type` | `getType()`
`void` | `setBoolean(java.lang.Object object, boolean value)`
`void` | `setByte(java.lang.Object object, byte value)`
`void` | `setChar(java.lang.Object object, char value)`
`void` | `setDouble(java.lang.Object object, double value)`
`void` | `setFloat(java.lang.Object object, float value)`
`void` | `setInt(java.lang.Object object, int value)`
`void` | `setLong(java.lang.Object object, long value)`
`void` | `setObject(java.lang.Object object, java.lang.Object value)`
`void` | `setShort(java.lang.Object object, short value)`

Methods inherited from interface de.grogra.reflect.Member
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName, getSimpleName`

Field Detail

### FIELD_0

    static final Field[] FIELD_0

### INTERFACE_MODIFIERS

    static final int INTERFACE_MODIFIERS

See Also:
  Constant Field Values

### MODIFIERS

    static final int MODIFIERS

See Also:
  Constant Field Values

Method Detail

### getBoolean

    boolean getBoolean(java.lang.Object object)
                       throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getByte

    byte getByte(java.lang.Object object)
                 throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getChar

    char getChar(java.lang.Object object)
                 throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getDouble

    double getDouble(java.lang.Object object)
                     throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getFloat

    float getFloat(java.lang.Object object)
                   throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getInt

    int getInt(java.lang.Object object)
               throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getLong

    long getLong(java.lang.Object object)
                 throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getObject

    java.lang.Object getObject(java.lang.Object object)
                               throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getShort

    short getShort(java.lang.Object object)
                   throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### getType

    Type getType()

### setBoolean

    void setBoolean(java.lang.Object object,
                    boolean value)
                    throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setByte

    void setByte(java.lang.Object object,
                 byte value)
                 throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setChar

    void setChar(java.lang.Object object,
                 char value)
                 throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setDouble

    void setDouble(java.lang.Object object,
                   double value)
                   throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setFloat

    void setFloat(java.lang.Object object,
                  float value)
                  throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setInt

    void setInt(java.lang.Object object,
                int value)
                throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setLong

    void setLong(java.lang.Object object,
                 long value)
                 throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setObject

    void setObject(java.lang.Object object,
                   java.lang.Object value)
                   throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

### setShort

    void setShort(java.lang.Object object,
                  short value)
                  throws java.lang.IllegalAccessException

  Throws:
    `java.lang.IllegalAccessException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD